#ifndef _GNOMONIC_H_
#define _GNOMONIC_H_

#include <glib.h>
#include <math.h>

#include "misc.h"
#include "console.h"

typedef struct _charts_definitions {
  /* look at the www.imo.net about gnomonic
   * projection and Atlas Brno 
   */
  float alpha_0;
  float delta_0;
  float X_0;
  float Y_0;
  
  /* fileds below are pixels */
  int x_origin;
  int y_origin;
  int width;
  int height;
} charts_definitions;

void gnomonic_init (void);
int car2eq( char chartnum, 
	    cartesian_coords carcoords_pixels,
	    equatorial_coords_degs *eqcoords );
#endif
