#include "gui.h"
#include "gui_new_form.h"

void create_new_form_window( void )
{
  GtkWidget *dialog;
  extern GtkWidget *main_window;

  dialog = gtk_message_dialog_new (GTK_WINDOW (main_window),
				   GTK_DIALOG_MODAL
				   | GTK_DIALOG_DESTROY_WITH_PARENT, 
				   GTK_MESSAGE_WARNING,
				   GTK_BUTTONS_OK_CANCEL,
				   "Form was changed!\nAre you sure you want to discard changes?");
  g_signal_connect (G_OBJECT (dialog), "response",
		    G_CALLBACK (new_form_dialog_cb), NULL);
  g_signal_connect_after (G_OBJECT (dialog), "response",
			  G_CALLBACK (gtk_widget_destroy), GTK_OBJECT (dialog));

  gtk_widget_show (dialog);
}

void new_form_dialog_cb( GtkDialog *dialog,
			 gint arg1,
			 gpointer user_data)
{
  if ( arg1 == GTK_RESPONSE_OK ) {
    erease_form ();
  }
}
